ncmpidiff(1)

NAME
ncmpidiff - compares two netCDF files in parallel

SYNOPSIS

mpiexec -n np ncmpidiff [-b] [-q] [-h] [-v var1,...] file1 file2

DESCRIPTION
ncmpidiff runs in parallel using np number of MPI processes to compare the contents of the two files and reports the difference to the standard output.

If neither argument -v nor -h is given besides the two file names, the entire files are compared.

OPTIONS

-b  Verbose mode - print results (same or different) for all components (file, header, or variables) in comparison

-q  Quiet mode - print nothing on the command-line output. This also disables verbose mode. When in quiet mode, users should check exit status. See below in "EXIT STATUS".

-h  Compare file header only

-v var1,...,varn
    Compare only the given list of variables

EXIT STATUS
An exit status of 0 means no differences were found, and 1 means some differences were found. Note on VMS-based system, the exit status values are reversed.

SEE ALSO

ncmpidump(1), pnetcdf(3)

DATE
19 Dec 2017